/* Reset básico */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Arial", sans-serif;
}

/* Cuerpo */
body {
  background: linear-gradient(
    90deg,
    rgba(224, 247, 250, 1) 0%,
    rgba(244, 244, 249, 1) 100%
  ); /* Azul suave de fondo */
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  color: #333; /* Texto gris oscuro */
}

/* Header */
header h1 {
  color: #0288d1; /* Azul vibrante */
  text-align: center;
  margin-top: 20px;
  font-family: "Open Sans", sans-serif;
}

header h2 {
  color: #43a047; /* Verde vibrante */
  text-align: center;
  line-height: 0.5;
  font-family: "Open Sans", sans-serif;
  margin-top: 10px; /* Añadir margen para separar h2 de h1 */
}

.imageresponsive {
  max-width: 100%;
  height: auto;
}


img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
  height: auto;
}

/* Footer */
.footer {
  background-color: #263238; /* Gris oscuro */
  color: #b0bec5; /* Gris claro */
  padding: 40px 20px;
  text-align: center;
  margin-top: auto;
}

.footer-row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.footer-second {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.footer-link {
  margin: 20px 0;
  text-align: center;
}

.footer-link h3 {
  color: #fff;
}

.footer-link a {
  color: #b0bec5;
  text-decoration: none;
  transition: color 0.3s;
}

.footer-link a:hover {
  color: white;
}

/* Social icons */
.social-icons a {
  font-size: 1.5rem;
  margin: 0 10px;
  color: #b0bec5;
  transition: color 0.3s;
}

.social-icons a:hover {
  color: #fff;
}

.email-link {
  color: #b0bec5;
  font-size: 1rem;
}

.email-link:hover {
  color: white;
}

/* Media queries */
@media (max-width: 768px) {
  .column {
    flex: 1 1 100%;
    max-width: 100%;
  }

  .footer-row {
    flex-direction: column;
    align-items: center;
  }

  .footer-link {
    text-align: center;
  }
}

/* Ajustes para pantallas pequeñas */
@media (max-width: 768px) {
  .row {
    flex-direction: column; /* Apila las tarjetas verticalmente */
    align-items: center; /* Centra las tarjetas verticalmente */
  }

  .col-md-6.col-lg-3 {
    flex: 1 1 100%; /* Las tarjetas ocupan el 100% del ancho en móviles */
    max-width: 90%; /* Limita el ancho para evitar que toquen los bordes */
  }
}

@media (max-width: 768px) {
  header h1 {
    font-size: 1.8rem; /* Reducir el tamaño de la fuente de h1 en móviles */
  }

  header h2 {
    font-size: 1.2rem; /* Reducir el tamaño de la fuente de h2 en móviles */
    margin-top: 15px; /* Aumentar el margen superior en móviles */
  }

  /* Ajustes para evitar el solapamiento del texto */
  header {
    padding: 20px 0; /* Añadir relleno en la parte superior e inferior */
  }
}
